classification
Title: Vim syntax highlight
Type: enhancement Stage: patch review
Components: Demos and Tools Versions: Python 3.2
process
Status: closed Resolution: wont fix
Dependencies: 9893 Superseder:
Assigned To: brett.cannon Nosy List: brett.cannon, eric.araujo, july, sandro.tosi
Priority: low Keywords: patch

Created on 2010-01-02 15:10 by july, last changed 2012-11-15 21:20 by brett.cannon. This issue is now closed.

Files
File name Uploaded Description Edit
misc-vim-syntax.diff july, 2010-01-02 21:27
Messages (4)
msg97134 - (view) Author: July Tikhonov (july) * Date: 2010-01-02 15:10
'python.vim' syntax rules script was created for python 2 
(automatically, using script 'vim_python.py').

This patch updates it to run by python 3.

Some bugs with highlighting strings and numbers are resolved, too.

Also, 'syntax_test.py' is updated; relatively extensive tests on 
numbers, strings and statements added.
msg97147 - (view) Author: July Tikhonov (july) * Date: 2010-01-02 21:27
Reuploaded (some syntax groups fixed).
msg140742 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2011-07-20 14:44
Thanks for your willingness to contribute to Python and your work on a patch.  We’re currently debating whether we should update or remove the Misc/Vim files, on #9893, so if we reach an agreement that maintaining these files is too costly for little benefit, you will have worked in vain.  Sorry if that happens, and I hope you’ll find other bugs where your patches will be accepted.
msg175645 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2012-11-15 21:20
7e37a6c76e36 removed the Misc/Vim files since we just were not staying on top of them. Thanks for the patch regardless, July. If the syntax file in Vim itself is off I would submit those as I have found the Vim maintainers very willing to accept fixes.
History
Date User Action Args
2012-11-15 21:20:12brett.cannonsetstatus: open -> closed
resolution: wont fix
messages: + msg175645
2011-07-20 14:44:30eric.araujosetnosy: + eric.araujo
messages: + msg140742
2011-07-16 22:21:16sandro.tosisetnosy: + sandro.tosi
2011-06-27 00:36:52brett.cannonsetdependencies: + Removing the Misc/Vim/ files
2010-01-02 21:40:07brett.cannonsetversions: + Python 3.2, - 3rd party
2010-01-02 21:39:57brett.cannonsetpriority: low
assignee: brett.cannon

nosy: + brett.cannon
stage: patch review
2010-01-02 21:27:58julysetfiles: - vimsyntax.diff
2010-01-02 21:27:51julysetfiles: + misc-vim-syntax.diff

messages: + msg97147
2010-01-02 15:10:12julycreate